Lavalite package that provides project_manager management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `project_managers/project_manager`.

    "project_managers/project_manager": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    ProjectManagers\ProjectManager\Providers\ProjectManagerServiceProvider::class,

And also add it to alias

    'ProjectManager'  => ProjectManagers\ProjectManager\Facades\ProjectManager::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=ProjectManagers\\ProjectManager\\Seeds\\ProjectManagerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="ProjectManagers\ProjectManager\Providers\ProjectManagerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="ProjectManagers\ProjectManager\Providers\ProjectManagerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="ProjectManagers\ProjectManager\Providers\ProjectManagerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/project_manager/{modulename}

**User**

    http://path-to-route-folder/user/project_manager/{modulename}

**Public**

    http://path-to-route-folder/project_managers


### API endpoints

**List**

    http://path-to-route-folder/api/user/project_manager/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/project_manager/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/project_manager/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/project_manager/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/project_manager/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/project_manager/{modulename}/{slug}
    METHOD: GET