<?php

namespace ProjectManagers\ProjectManager\Forms;

use Litepie\Form\FormInterpreter;

class Project extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('project_manager/project/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('project_manager/project/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('project_manager/project'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('project_manager/project'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('project_manager/project'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('project_manager/project'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('project_manager::project_manager.label.name'),
                "placeholder" => trans('project_manager::project_manager.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('project_manager::project_manager.label.created_at'),
            'name' => trans('project_manager::project_manager.label.name'),
            'status' => trans('project_manager::project_manager.label.status'),
        ];
        self::$groups = [
            'main' => trans('project_manager::project_manager.groups.main'),
            'details' => trans('project_manager::project_manager.groups.details'),
            'images' => trans('project_manager::project_manager.groups.images'),
            'settings' => trans('project_manager::project_manager.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('project_manager::project_manager.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('project_manager::project_manager.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('project_manager::project_manager.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('project_manager::project_manager.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'client_id' => [
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => trans('project_manager::project.label.client_id'),
                "placeholder" => trans('project_manager::project.placeholder.client_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'project_manager_id' => [
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => trans('project_manager::project.label.project_manager_id'),
                "placeholder" => trans('project_manager::project.placeholder.project_manager_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'status_id' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('project_manager::project.label.status_id'),
                "placeholder" => trans('project_manager::project.placeholder.status_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('project_manager::project.label.name'),
                "placeholder" => trans('project_manager::project.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'path' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('project_manager::project.label.path'),
                "placeholder" => trans('project_manager::project.placeholder.path'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'language' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('project_manager::project.label.language'),
                "placeholder" => trans('project_manager::project.placeholder.language'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'domain' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('project_manager::project.label.domain'),
                "placeholder" => trans('project_manager::project.placeholder.domain'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('project_manager::project.label.description'),
                "placeholder" => trans('project_manager::project.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'duration' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('project_manager::project.label.duration'),
                "placeholder" => trans('project_manager::project.placeholder.duration'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'deadline' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => trans('project_manager::project.label.deadline'),
                "placeholder" => trans('project_manager::project.placeholder.deadline'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('project_manager::project.label.modified_at'),
                "placeholder" => trans('project_manager::project.placeholder.modified_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('project_manager::project.label.)'),
                "placeholder" => trans('project_manager::project.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            '),' => [
                "element" => 'package::package.formcontrols.PRIMARY',
                "type" => 'package::package.formcontrols.PRIMARY',
                "label" => trans('project_manager::project.label.),'),
                "placeholder" => trans('project_manager::project.placeholder.),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => trans('project_manager::project.label.id),'),
                "placeholder" => trans('project_manager::project.placeholder.id),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'client_id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => trans('project_manager::project.label.client_id),'),
                "placeholder" => trans('project_manager::project.placeholder.client_id),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'project_manager_id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => trans('project_manager::project.label.project_manager_id),'),
                "placeholder" => trans('project_manager::project.placeholder.project_manager_id),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
