<?php

namespace ProjectManagers\ProjectManager\Repositories\Eloquent;

use ProjectManagers\ProjectManager\Interfaces\ProjectRepositoryInterface;
use Litepie\Repository\BaseRepository;
use ProjectManagers\ProjectManager\Repositories\Eloquent\Presenters\ProjectItemPresenter;


class ProjectRepository extends BaseRepository implements ProjectRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('project_managers.project_manager.project.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('project_managers.project_manager.project.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ProjectItemPresenter::class;
    }
}
